gump-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Lautenbach <be...@wingsofhermes.org>
Subject Re: Bouncycastel JCE (was Re: cvs commit: gump/project jce.xml xml-security.xml)
Date Thu, 04 Mar 2004 09:19:50 GMT
Stefan,

Looks like more failures with xml-security.

As an aside, I've found that even the beta JDK1.5 provider may not 
support everything we need, and 1.4 definitely doesn't.

The current failure is around trying to download the BC JCE, so I have 
reversed out the change around the JDK1.4 JCE to re-enable the BC JCE.

Not sure what the correct protocol is, so apologies if I am stepping on 
toes.

Cheers,
	Berin

Berin Lautenbach wrote:
>>>Stefan,
> 
> 
>>>Unfortunately I don't think we can use the JDK1.4 provider, as it
>>>doesn't implement some of the padding we need (thus the errors from
>>>the previous builds).
>>
>>No, no problems with padding so far.
> 
> 
> My experience was that the policy file is only needed if BC is not
> available.  If it isn't available, the *first* error you get is the error
> about key lengths.  When you fix that, you get the padding errors.
> But happy to wait and see :>, and I hugely appreciate the efforts!
> 
> Cheers,
>      Berin
> 
> 
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
> For additional commands, e-mail: general-help@gump.apache.org
> 
> 
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
For additional commands, e-mail: general-help@gump.apache.org


Mime
View raw message